Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.engine
Class BpelProcess

    java.lang.Object
      org.apache.ode.bpel.engine.BpelProcess

    public class BpelProcess

extends java.lang.Object

Entry point into the runtime of a BPEL process.

Constructor Summary
`BpelProcess(ProcessConf conf)`

Method Summary
`java.net.URI` | `getBaseResourceURI()` Retrives the base URI to use for local resource resolution.
`ExternalVariableManager` | `getEVM()`
`long` | `getLastUsed()`
`ReplacementMap` | `getReplacementMap(javax.xml.namespace.QName processName)`
`java.util.Set<Endpoint>` | `getServiceNames()` Get all the services that are implemented by this process.
`void` | `handleWorkEvent(java.util.Map<java.lang.String,java.lang.Object> jobData)`
`boolean` | `hintIsHydrated()` Get a hint as to whether this process is hydrated.
`boolean` | `isInMemory()`
`void` | `recoverActivity(ProcessInstanceDAO instanceDAO, java.lang.String channel, long activityId, java.lang.String action, FaultData fault)`
`void` | `saveEvent(ProcessInstanceEvent event, ProcessInstanceDAO instanceDao)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BpelProcess

    public BpelProcess(ProcessConf conf)

Method Detail

### getBaseResourceURI

    public java.net.URI getBaseResourceURI()

  Retrives the base URI to use for local resource resolution.

  Returns:
    URI - instance representing the absolute file path to the physical location of the process definition folder.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getEVM

    public ExternalVariableManager getEVM()

### recoverActivity

    public void recoverActivity(ProcessInstanceDAO instanceDAO,
                                java.lang.String channel,
                                long activityId,
                                java.lang.String action,
                                FaultData fault)

### handleWorkEvent

    public void handleWorkEvent(java.util.Map<java.lang.String,java.lang.Object> jobData)

  See Also:
    `org.apache.ode.bpel.engine.BpelProcess#handleWorkEvent(java.util.Map)`

### getServiceNames

    public java.util.Set<Endpoint> getServiceNames()

  Get all the services that are implemented by this process.

  Returns:
    list of qualified names corresponding to the myroles.

### saveEvent

    public void saveEvent(ProcessInstanceEvent event,
                          ProcessInstanceDAO instanceDao)

### getReplacementMap

    public ReplacementMap getReplacementMap(javax.xml.namespace.QName processName)

### isInMemory

    public boolean isInMemory()

### getLastUsed

    public long getLastUsed()

### hintIsHydrated

    public boolean hintIsHydrated()

  Get a hint as to whether this process is hydrated. Note this is only a hint, since things could change.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD